package org.oasis.wscaf.utils.exceptions;

import javax.xml.namespace.QName;

public class ElementNotFound extends Exception {

	private QName missingElement = null;
	
	public ElementNotFound(QName missingElement) {
		super();
		this.missingElement = missingElement;
	}

	public ElementNotFound(String message, QName missingElement) {
		super(message);
		this.missingElement = missingElement;
	}
	
	public ElementNotFound(String message, QName missingElement, Throwable cause) {
		super(message,cause);
		this.missingElement = missingElement;
	}

	public QName getMissingElement() {
		return missingElement;
	}

	public void setMissingElement(QName missingElement) {
		this.missingElement = missingElement;
	}

}
